Subject: Re: [PATCH] [POWERPC] Improve (in|out)_beXX() asm code

From: Alan Cox <[email-masked]>
Date: Tue, 20 May 2008 23:15:16 +0100

> It looks like we rely on -fno-strict-aliasing to prevent reordering 
> ordinary memory accesses (such as to DMA descriptors) past the I/O 

DMA descriptors in main memory are dependant on cache behaviour anyway
and the dma_* operators should be the ones enforcing the needed behaviour.

Alan